org.eclipse.emf.compare.rcp.policy

## Interface ILoadOnDemandPolicy

    public interface ILoadOnDemandPolicy

A policy that can be asked to if it is authorizing resource to be loaded on demand.

### Nested Class Summary

Nested Classes
`static interface` `ILoadOnDemandPolicy.Registry` A registry of policy.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isAuthorizing(URI uri)` Returns true if this policy is authorizing the resource with the given URI to be loaded on demand, false either.

### Method Detail

#### isAuthorizing

    boolean isAuthorizing(URI uri)

Returns true if this policy is authorizing the resource with the given URI to be loaded on demand, false either.

Parameters:
  `uri` - the URI to be loaded on demand.
Returns:
  true if this policy is authorizing the resource with the given URI to be loaded on demand, false either.